
	//报案人信息
	function check_bbr(bbr){
		if($("#check_bbr").hasClass("check_no")){//true为选中
			$.ajax({
		        cache: true,
		        type: "POST",
		        url:"clmInsureQueryPay.do",
		        data:{"cliamNo":$("#claimNo").val()},
		       // data:{"id":id,"claimNo":claimNo},// 你的formid
		        async: false,
		        error: function(request) {
		            alert("操作失败！");
		        },
		        success: function(data) {
		        	$("#pid").val(data.customerInfo.pid);
					$("#pname").val(data.customerInfo.name);
					$("#phone").val(data.customerInfo.phone);
					$("#tel").val(data.customerInfo.ftele);
					$("#contractAddr").val(data.customerInfo.faddr);
					$("#cardType").html(data.idTypeName);
					$("#idtype").val(data.customerInfo.idtype);
					$("#postCode").val(data.customerInfo.fzip);
					$("#sex").val(data.customerInfo.sex);
					$("#email").val(data.customerInfo.email);
					$("#repInsRelationship").val("401");
					$("#repRelationshipSpan").html("本人");
					if(data.customerInfo.sex=="1"){
						$("#spansex").html("男");
					}else{
						$("#spansex").html("女");
					}
		        }
		    });
		}else{
			$("#reportId").val("");
			$("#pid").val("");
			$("#pname").val("");
			$("#phone").val("");
			$("#tel").val("");
			$("#email").val("");
			$("#contractAddr").val("");
			$("#cardType").html("请选择类型");
			$("#idtype").val("");
			$("#postCode").val("");
			$("#spansex").html("请选择性别");
			$("#sex").val("");
			$("#repInsRelationship").val("");
			$("#repRelationshipSpan").html("请选择关系");
		}
		//alert($("#check_bbr").hasClass("check_no"));
	}
	function check_sqrBbr(bbr){
		
		if($("#check_sqrBbr").hasClass("check_no")){//true为选中
			$.ajax({
		        cache: true,
		        type: "POST",
		        url:"clmInsureQueryPay.do",
		        data:{"cliamNo":$("#claimNo").val()},
		       // data:{"id":id,"claimNo":claimNo},// 你的formid
		        async: false,
		        error: function(request) {
		            alert("操作失败！");
		        },
		        success: function(data) {
					$("#textSpanRelationship").html("与被保人关系：");
		        	$("#sqr_pid").val(data.customerInfo.pid);
					$("#sqr_pname").val(data.customerInfo.name);
					$("#sqr_phone").val(data.customerInfo.phone);
					$("#sqr_tel").val(data.customerInfo.ftele);
					$("#sqr_contractAddr").val(data.customerInfo.faddr);
					$("#sqridtype").val(data.customerInfo.idtype);
					$("#spanSqrIdType").html(data.idTypeName);
					$("#sqr_email").val(data.customerInfo.email);
					$("#sqr_postCode").val(data.customerInfo.fzip);
					$("#sqrappInsRelationship").val("401");
					$("#spanSqrappInsRelationship").html("本人");
					$("#sqrsex").val(data.customerInfo.sex);
					if(data.customerInfo.sex=="1"){
						$("#spansqrsex").html("男");
					}else{
						$("#spansqrsex").html("女");
					}
					$("#check_sqrBar").attr("class","check_no");
		        }
		    });
		}else{
			$("#sqr_email").val("");
			$("#sqr_postCode").val("");
			$("#sqr_pid").val("");
			$("#sqr_pname").val("");
			$("#sqr_phone").val("");
			$("#sqr_tel").val("");
			$("#sqr_contractAddr").val("");
			$("#sqridtype").val("");
			$("#spanSqrIdType").html("请选择类型");
			$("#sqrappInsRelationship").val("");
			$("#spanSqrappInsRelationship").html("请选择关系");
			$("#sqrsex").val("");
			$("#spansqrsex").html("请选择性别");
		}
	}
	function check_sqrBar(bbr){
		
		if($("#check_sqrBar").hasClass("check_no")){//true为选中
			$.ajax({
		        cache: true,
		        type: "POST",
		        url:"clmInsureQueryPay.do",
		        data:{"cliamNo":$("#claimNo").val()},
		       // data:{"id":id,"claimNo":claimNo},// 你的formid
		        async: false,
		        error: function(request) {
		            alert("操作失败！");
		        },
		        success: function(data) {
		        	$("#textSpanRelationship").html("与报案人关系：");
		        	$("#sqr_pid").val(data.reportPerson.clmPerson.pid);
					$("#sqr_pname").val(data.reportPerson.clmPerson.name);
					$("#sqr_phone").val(data.reportPerson.clmPerson.phone);
					$("#sqr_tel").val(data.reportPerson.clmPerson.tel);
					$("#sqr_contractAddr").val(data.reportPerson.clmPerson.contractAddr);
					$("#sqridtype").val(data.reportPerson.clmPerson.idtype);
					$("#spanSqrIdType").html(data.reportIdTypeName);
					$("#sqr_email").val(data.reportPerson.clmPerson.email);
					$("#sqr_postCode").val(data.reportPerson.clmPerson.postCode);
					$("#sqrappInsRelationship").val("401");
					$("#spanSqrappInsRelationship").html("本人");
					$("#sqrsex").val(data.reportPerson.clmPerson.sex);
					if(data.reportPerson.clmPerson.sex=="1"){
						$("#spansqrsex").html("男");
					}else{
						$("#spansqrsex").html("女");
					}
					$("#check_sqrBbr").attr("class","check_no");
		        }
		    });
		}else{
			$("#textSpanRelationship").html("与被保人关系：");
			$("#sqr_email").val("");
			$("#sqr_postCode").val("");
			$("#sqr_pid").val("");
			$("#sqr_pname").val("");
			$("#sqr_phone").val("");
			$("#sqr_tel").val("");
			$("#sqr_contractAddr").val("");
			$("#sqridtype").val("");
			$("#spanSqrIdType").html("请选择类型");
			$("#sqrappInsRelationship").val("");
			$("#spanSqrappInsRelationship").html("请选择关系");
			$("#sqrsex").val("");
			$("#spansqrsex").html("请选择性别");
		}
	}
	/*
	function queryAccidentInfo(){
		//alert("111111");
		SkipByPost("queryAccidentInfo.do",{claimNo:$("#claimNo").val()});
	}
	
	function clmInsureQuery(){
		SkipByPost("clmInsureQuery.do",{claimNo:$("#claimNo").val()});
	}
	
	function check_person(a){
		//id="formPerson" style="display: none"
			divformPerson.style.display='block';
			divformCenter.style.display='none';
			$("#claimPayeeType").val("1");
			//$("#")
			$("#geren").attr("class",'check_no txt_blue');
			$("#danwei").attr('class','check_yes txt_blue');
			//.attr('class',);
	}*/
	function check_center(a){
		//id="formCenter" style="display: none">
		divformCenter.style.display='block';
		divformPerson.style.display='none';
		$("#claimPayeeType").val("2");
		
		$("#danwei").attr("class",'check_no txt_blue');
		$("#geren").attr("class",'check_yes txt_blue');
	}
	//编辑领款人信息（通过ID先查询）
	function editClmPayeeQuery(id,current){
		var divId=null;
		$("#geren").attr('class',"check_no txt_blue");
		$("#danwei").attr('class',"check_no txt_blue");
		//当前从不选中到选中时直接跳回不进入编辑框
		$.ajax({
	        type: "POST",
	        url:"queryClmPayee.do",
	        data:{"id":id},
	       // data:{"id":id,"claimNo":claimNo},// 你的formid
	       // async: false,
	        dataType:'json',
	        success: function(data) {
	        	 //$("#pid").val(data.objId);
    			 //单位领款人
	        	 //领款人类型 1个人\2单位
	        	 if(data.claimPayeeType=="1"){
	        		 divId="divformPerson";
	        		 $("#claimPayeeId").val(data.claimPayeeId);         //证件号码：                        
		        	 $("#claimPayeeName").val(data.claimPayeeName);      //姓名：            
		        	 $("#payeePhone").val(data.payeePhone);          //移动电话：        
		        	 $("#payeeTel").val(data.payeeTel);            //固定电话：        
		        	 $("#payeeContractAddr").val(data.payeeContractAddr);   //联系地址：        
		        	 $("#payeePostCode").val(data.payeePostCode);       //邮政编码：        
		        	 $("#province").html(data.payeeProvince);       //所在省   
		        	 $("#hosProvince").val(data.province);
		        	 $("#hosCityCode").val(data.cityCode);
		        	 $("#citySpan").html(data.payeeCityCode); 		//所在市    
		        	 $("#payeeEmail").val(data.payeeEmail);          //邮箱地址 
		        	 $("#bankName").val(data.bankName);            //银行名称
		        	 $("#bankType").val(data.bankType);            //银行code
//		        	 $("#bankSubName").val(data.bankSubName);         //开户行     
//		        	 $("#personbankCode").val(data.bankCode);         //开户行code     
		        	 $("#bankAccountNo").val(data.bankAccountNo);       //银行帐号：
		        	 $("#payeerelationship").val(data.payeeInsRelationship);
	    			 $("#payeesex").val(data.claimPayeeGenderCode);
	    			 $("#payeeidcard").val(data.claimPayeeIdType);
	    			 $("#paymodetype").val(data.payMode);
	    			 $("#claimPayeeType").val(data.claimPayeeType);
	    			 $("#spanpersonidtype").html(data.claimPayeeIdName);//证件类型
	    			 $("#spanpersonsex").html(data.claimPayeeGenderName);//性别
	    			 $("#spanpayeeInsRelationship").html(data.payeeInsRelationshipName);//与被保险人关系
	    			 //银行、开户行
	    			 $("#spanBankName").html(data.bankName);
	    			 $("#propertyBankType").val(data.bankType);
	    			 $("#propertyBankName").val(data.bankName);//产险银行
	    			 $("#isnoPropertyBankName").val(data.bankName);//产险银行
	    			 $("#payRate").val(data.payRate);
	    			 $("#payRate").attr("data-obj-id",data.objId);
//	    			 if(data.bankType!=null && data.bankType!=""){
//			        	 bankNamechange(data.bankType, data.bankName);//重新去接口取数据
//		    			 $("#spanbankSubName").html(data.bankSubName);
//			        	
//			         }
	    			 $("#spanpaymode").html(data.payModeName);//与被保险人关系
	    			 $("#objId").val(data.objId);
	     			 $("#divformPerson").css("display","block");
					 $("#divformCenter").css("display","none");
					 $("#hospitalInfo").css("display","none");
					 if(data.payMode=="3"){
						$("#span4").html("*");
//						$("#span5").html("*");
						$("#span6").html("*");
					 }else{
						$("#span4").html("");
//						$("#span5").html("");
						$("#span6").html("");
					 }
	        	 }else if(data.claimPayeeType=="2"){
	        		 divId="divformCenter";
		    		$("#centerCompanyName").val(data.claimPayeeName);
		    		$("#bankAccountName").val(data.bankName);
		    		$("#isnoBankName").val(data.bankName);
		        	$("#divbankType").val(data.bankType);            //银行code
//		        	$("#centerbankCode").val(data.bankCode);         //开户行code 
		        	$("#centerbankAccountNo").val(data.bankAccountNo);       //银行帐号：
	        		$("#spancenterrelationship").html(data.payeeInsRelationshipName);//与被保险人关系
	    			$("#spancenterpaymode").html(data.payModeName);//与被保险人关系
	    			$("#centerpayeerelationship").val(data.payeeInsRelationship);
	    			$("#centerpaymodetype").val(data.payMode);
	    			$("#objId").val(data.objId);
	    			$("#provincecenter").html(data.payeeProvince);       //所在省   
		        	$("#hosProvincecenter").val(data.province);
		        	$("#hosCityCodecenter").val(data.cityCode);
		        	$("#citySpancenter").html(data.payeeCityCode);       //所在市   
	    			//银行、开户行
	    			 $("#spancenterbankNameList").html(data.bankName);
	    			 $("#propertyCenterBankName").val(data.bankName);//产险银行
//	    			 if(data.bankType!=null && data.bankType!=""){
//	    				 centerbankNamechange(data.bankType, data.bankName);//重新去接口取数据
//		    			 $("#spancenterbankSubName").html(data.bankSubName);
//			        	 $("#centerbankSubName").val(data.bankSubName);  //开户行
//			        	
//			         }
	    			
	     			$("#divformPerson").css("display","none");
					$("#divformCenter").css("display","block");
					$("#hospitalInfo").css("display","none");
	    			 if(data.payMode=="3"){
							$("#span4").html("*");
//							$("#span5").html("*");
							$("#span6").html("*");
					}else{
							 $("#span4").html("");
//							 $("#span5").html("");
							 $("#span6").html("");
					}
	        	 }else if(data.claimPayeeType=="3"){
	        		 divId="hospitalInfo";
	        		 $("#objId").val(data.objId);
	                 $("#hospitalName").text(data.tblMedinsInfo.medinsChnName);
	                 $("#hospitalAddr").text(data.tblMedinsInfo.chnAddress);
	                 $("#hospitalType").text(data.tblMedinsInfo.medinsNatrue);
	                 $("#hospitalContactPerson").text(data.tblMedinsInfo.contact);
	                 $("#hospitalContactPhone").text(data.tblMedinsInfo.contactPhone);
	                 $("#hospitalFaxNo").text(data.tblMedinsInfo.faxNumber);
	                 $("#hospitalBankAccountName").text(data.bankAccountName);
	                 $("#hospitalBankName").text(data.bankName);
	                 $("#hospitalBankAccountNo").text(data.bankAccountNo);
	                 $("#partnerId").val(data.partnerId);
	                 $("#claimPayeeType").val(data.claimPayeeType);
	                 $("#hospitalSpanpaymode").html(data.payModeName);
	                 $("#paymodetype").val(data.payMode);
	                 $("#payType").val('3');
	        	 }else if(data.claimPayeeType=="4"){
	        		 divId="TPAInfo";
	        		 $("#objId").val(data.objId);
					 $("#tpaName").text(data.tblTpaServiceSup.tpaSupName);
					 $("#tpaAddr").text("");
					 $("#tpaContactPerson").text("");
					 $("#tpaContactPhone").text("");
					 $("#tpafFaxNo").text("");
					 $("#tpaBankAccountName").text(data.bankAccountName);
					 $("#tpaBankName").text(data.bankName);
					 $("#tpaBankAccountNo").text(data.bankAccountNo);
		             $("#partnerId").val(data.partnerId);
		             $("#claimPayeeType").val(data.claimPayeeType);
	                 $("#paymodetype").val(data.payMode);
	                 $("#tpaSpanpaymode").html(data.payModeName);
		             $("#payType").val('4');
	        	 }
        		var showDivArr=["divformPerson","divformCenter","hospitalInfo","TPAInfo"];
        		for ( var i = 0; i < showDivArr.length; i++) {
        			if(divId==showDivArr[i]){
        				$("#"+divId+"").css("display","block");
        			}else{
        				$("#"+showDivArr[i]+"").css("display","none");
        			}
        		}
	        	 //alert(data.bankAccountNo);
	        	//$("#payTbbody tr[id='"+id+"']").remove();
	        	//$(current).parent().parent().remove();
	        	
	        },
	        error: function(request) { 
	        	alert("获取信息失败。");
	        }
	    });
	}
	function editClmPayee(id,current){
		$.ajax({
	        cache: true,
	        type: "POST",
	        url:"updateClmPayee.do",
	        data:{"id":id},
	       // data:{"id":id,"claimNo":claimNo},// 你的formid
	        async: false,
	        error: function(request) {
	            alert("删除失败！");
	        },
	        success: function(data) {
	        	alert("删除成功！");
	        	//$("#paybody").remove(aa.firstChild);
	        	//$("#payTbbody tr[id='"+id+"']").remove();
	        	$(current).parent().parent().remove();
	        }
	    });
	}
	//删除领款人信息
	function delClmPayee(id,current){
		if(confirm("确认删除此信息？")){
			$.ajax({
		        cache: true,
		        type: "POST",
		        url:"delClmPayee.do",
		        data:{"id":id},
		       // data:{"id":id,"claimNo":claimNo},// 你的formid
		        async: false,
		        error: function(request) {
		            alert("删除失败！");
		        },
		        success: function(data) {
		        	alert("删除成功！");
		        	clearPerson();
		        	clearCenter();
		        	clearDirectHospital();
		        	$("#hospitalInfo").css("display","none");
		        	$("#TPAInfo").css("display","none");
		        	$("#divformPerson").css("display","none");
		        	$("#divformCenter").css("display","none");
		        	
		        	$(current).parent().parent().remove();
		        	for ( var i = 0; i < $("#payTbbody tr").length; i++) {
		        		var tr = $("#payTbbody tr").eq(i);
		        		var disnormalNum = tr.find("SPAN[id='payTbNumber']");
		        		disnormalNum.html(i+1);
					}
		        	
		        }
		    });
		}
		
		
	}
	function addClmPayeeForCom(){
		/*$("#danweiSave").attr("onclick","");*/
		var check = new RegExp("^[0-9]*$");//校验银行账号是否仅为数字
		if(!checkPaymodeType("payTbbody","spanPaymethodForObjId","spancenterpaymode")){
			alert("同一赔案下领款人支付方式请保持一致。");
			return;
		}
		if($("#spancenterrelationship").html()=="请选择类型"){
			alert("请选择领款人与被保人关系。");
			return ;
		}
		if($("#spancenterpaymode").html()=="请选择类型"){
			alert("请选择领款人支付方式。");
			return ;
		}
		var divcenterpayeerelationship = $("#divcenterpayeerelationship_code").val();
		if(divcenterpayeerelationship!=undefined){
			$("#centerpayeerelationship").val(divcenterpayeerelationship);
		}
		var divcenterpaymodetype = $("#divcenterpaymodetype_code").val();
		if(divcenterpaymodetype!=undefined){
			$("#centerpaymodetype").val(divcenterpaymodetype);
		}
		if($.trim($("#centerpayeerelationship").val()).length==0){
			alert("请选择领款人与被保人关系。");
			return ;
		}
		if($.trim($("#centerpaymodetype").val()).length==0){
			alert("请选择领款人支付方式。");
			return ;
		}
		if($.trim($("#centerCompanyName").val()).length==0){
			alert("请填写领款人公司名称。");
			return ;
		}
		if($("#centerpaymodetype").val()=="3"){
			if($("#divcenterbankNameList_code").val()!=undefined&&$("#divcenterbankNameList_code").val()!=""){
				$("#divbankType").val($("#divcenterbankNameList_code").val());
			}
			if($("#spancenterbankNameList").html()!="请选择类型")
			$("#bankAccountName").val($("#spancenterbankNameList").html());
			//产险
			if($("#propertyCenterBankName").val()!=""&&$("#propertyCenterBankName").val()!=undefined){
				if($("#isnoBankName").val()!=$("#propertyCenterBankName").val()){
					alert("请填写正确的银行名称");
					return;
				}
				
				$("#bankAccountName").val($("#propertyCenterBankName").val());	
				if($.trim($("#bankAccountName")).lenth==0){
					alert("请填写领款人银行名称。");
					return ;
				}
			}
			if($("#propertyCenterBankType").val()!=""&&$("#propertyCenterBankType").val()!=undefined){						
					$("#divbankType").val($("#propertyCenterBankType").val());
			}else{				
				$("#divbankType").val();
			}
			
			if($.trim($("#bankAccountName").val()).length==0){
				alert("请填写领款人银行名称。");
				return ;
			}
//			if($.trim($("#centerbankSubName").val()).length==0){
//				alert("请填写领款人开户行。");
//				return ;
//			}
			if($.trim($("#centerbankAccountNo").val()).length==0){
				alert("请填写领款人银行帐号。");
				return ;
			}
			if(!check.test($("#centerbankAccountNo").val())){
				alert("银行帐号不能为非数字!");
				return false;
			}
		}else{
			$("#bankAccountName").val("");
//			$("#centerbankSubName").val("");
			$("#centerbankAccountNo").val("");
		}
		$("#danweiSave").attr("onclick","");
		$.ajax({
	        cache: true,
	        type: "POST",
	        url:"addClmPayeeForCom.do",
	        data:$('#formPerson').serialize(),// 你的formid
	        async: false,
	        error: function(request) {
	            alert("保存失败！");
	        },
	        success: function(data) {
		        	if($("#objId").val()!=""&&$("#objId").val()!=undefined){
		        		var tr =$("#payTbbody").find("tr[id='"+$("#objId").val()+"']");
		        		tr.find("span[id='spanPayNameForObjId']").html(data.claimPayeeName);
		        		tr.find("span[id='spanRelationshipForObjId']").html(data.payeeInsRelationshipName);
		        		tr.find("span[id='spanPaymethodForObjId']").html(data.payModeName);
		        	}else{
		        		$("#payTbbody").append("<tr id="+data.objId+"><th width=\"6%\" ><span id=\"payTbNumber\">"+(parseInt($("#payTbbody").find("tr").length)+1)+"</span></th>"+
	                        "<td width=\"9%\"><span id=\"spanPayNameForObjId\">"+data.claimPayeeName+"</td>"+
		                        "<td width=\"17%\">同被保险人关系：<span id=\"spanRelationshipForObjId\">"+data.payeeInsRelationshipName+"</td>"+
	                        "<td width=\"12%\">支付方式：<span id=\"spanPaymethodForObjId\">"+data.payModeName+"</span></td>"+
		                        "<td width=\"5%\"><a style=\"cursor: pointer;\" class=\"txt_blue\"  onclick=\"editClmPayeeQuery('"+data.objId+"',this)\">编辑</a></td>"+
	                        "<td width=\"51%\"><a style=\"cursor: pointer;\" class=\"txt_blue\" onclick=\"delClmPayee('"+data.objId+"',this)\">删除</a></td>"+
	       	               "</tr>");
	        	}
	        	alert("保存成功！");
	    		$("#danweiSave").attr("onclick","addClmPayeeForCom()");
				$("#geren").attr("class",'check_no txt_blue');
				$("#danwei").attr('class','check_no txt_blue');
	        	$("#divformPerson").css("display","none");
	        	$("#divformCenter").css("display","none");
	        	clearPerson();
	        	clearCenter();
	            //onclick="editClmPayee(${a.objId },this)"
	        }
	    });
	}
	function addClmPayee(){
		/*$("#gerenSave").attr("onclick","");*/
		var check = new RegExp("^[0-9]*$");//校验银行账号是否仅为数字
		if(!checkPaymodeType("payTbbody","spanPaymethodForObjId","spanpaymode")){
			alert("同一赔案下领款人支付方式请保持一致。");
			return;
		}
			if($("#spanpayeeInsRelationship").html()=="请选择类型"){
				alert("请选择领款人与被保人关系。");
				return ;
			}
			if($("#spanpersonidtype").html()=="请选择类型"){
				alert("请选择领款人证件类型。");
				return ;
			}
//			if($("#spanpersonsex").html()=="请选择类型"){
//				alert("请选择领款人性别。");
//				return ;
//			}
			if($("#spanpaymode").html()=="请选择类型"){
				alert("请选择领款人支付方式。");
				return ;
			}
			var payeerelationship = $("#divpayeerelationship_code").val();
			if(payeerelationship!=undefined){
				$("#payeerelationship").val(payeerelationship);
			}
			var divpayeeidcard = $("#divpayeeidcard_code").val();
			if(divpayeeidcard!=undefined){
				$("#payeeidcard").val(divpayeeidcard);
			}
			var divpayeesex = $("#divpayeesex_code").val(); 
			if(divpayeesex!=undefined){
				$("#payeesex").val(divpayeesex);
			}
			var divpaymodetype = $("#divpaymodetype_code").val();
			if(divpaymodetype!=undefined){
				$("#paymodetype").val(divpaymodetype);
			}
			if($.trim($("#payeerelationship").val()).length==0){
				alert("请选择领款人与被保人关系。");
				return ;
			}
			if($.trim($("#payeeidcard").val()).length==0){
				alert("请选择领款人证件类型。");
				return ;
			}
//			if($.trim($("#payeesex").val()).length==0){
//				alert("请选择领款人性别。");
//				return ;
//			}
			if($.trim($("#paymodetype").val()).length==0){
				alert("请选择领款人支付方式。");
				return ;
			}
			if($.trim($("#claimPayeeId").val()).length==0){
				alert("请填写领款人证件号码。");
				return ;
			}
			if($("#payeeidcard").val()=="a"){
				if(!checkIdentityCardTrueOrFalse($("#claimPayeeId").val())){
					alert("领款人身份证号码格式有误，请重新录入。");
					return;
				}
			}
			
			if($.trim($("#claimPayeeName").val()).length==0){
				alert("请填写领款人姓名。");
				return ;
			}
			if($("#payeePhone").val().length==0&&$("#payeeTel").val().length==0){
				alert("请填写领款人固话/移动电话。");
				return ;
			}
//			var reg = /^1[358][0-9]{9}$/;
			var reg = /^1[0-9]{10}$/;
			if($.trim($("#payeePhone").val()).length!=0&&$.trim($("#payeePhone").val()).length!=11){
				alert("手机号码长度必须为11位。");
				return;
			}
			if($.trim($("#payeePhone").val()).length!=0){
				if(!reg.test($.trim($("#payeePhone").val()))){
					alert("手机号码 填写格式不正确，请重新填写。");
					return;
				}
			}
//			if($.trim($("#payeeProvince").val()).length==0){
//				alert("请填写领款人所在省");
//				return;
//			}
//			if($.trim($("#payeeCityCode").val()).length==0){
//				alert("请填写领款人所在市");
//				return;
//			}
//			if($.trim($("#payeeContractAddr").val()).length==0){
//				alert("请填写领款人联系地址。");
//				return ;
//			}
//			if($.trim($("#payeePostCode").val()).length==0){
//				alert("请填写领款人邮政编码。");
//				return ;
//			}
//			if($("#payeePostCode").val().length!=6){
//				alert("领款人邮编需为6位数字。");
//				return;
//			}else{
//				var regpc = /^[0-9]*$/;
//				if(!regpc.test($("#payeePostCode").val())){
//					alert("领款人邮编录入格式不正确，请重新录入。");
//					return;
//				}
//			}
//			if($.trim($("#payeeEmail").val()).length==0){
//				alert("请填写领款人邮箱。");
//				return ;
//			}
			if($("#payeeEmail").val().length!=0){
				if(!emailCheck($("#payeeEmail").val())){
					alert("领款人邮箱格式不正确，请重新录入。");
					return;
				}
			}
		if($("#paymodetype").val()=="3"){
				if($("#divbankName_code").val()!=undefined&&$("#divbankName_code").val()!=""){
					$("#bankCode").val($("#divbankName_code").val());
					$("#bankType").val($("#divbankName_code").val());
				}
				if($("#spanBankName").html()!="请选择类型")
				$("#bankName").val($("#spanBankName").html());
				//产险
				if($("#propertyBankName").val()!=""&&$("#propertyBankName").val()!=undefined){
					if($("#propertyBankName").val()!=$("#isnoPropertyBankName").val()){
						alert("请填写正确的银行名称");
						return;
					}
					$("#bankName").val($("#propertyBankName").val());
					if($.trim($("#propertyBankName").val()).length==0){
						alert("请填写领款人银行名称。");
						return ;
					}
				}
				if($("#propertyBankType").val()!=""&& $("#propertyBankType").val()!=undefined){
					$("#bankType").val($("#propertyBankType").val());
				}else{
					$("#bankType").val();
				}	
				
				
				if($.trim($("#bankName").val()).length==0){
					alert("请填写领款人银行名称。");
					return ;
				}
//				if($.trim($("#bankSubName").val()).length==0){
//					alert("请填写领款人开户行。");
//					return ;
//				}
				if($.trim($("#bankAccountNo").val()).length==0){
					alert("请填写领款人银行账号。");
					return ;
				}
				if(($("#bankAccountNo").val()!=""&&$("#bankAccountNo").val()!=null&&!check.test($("#bankAccountNo").val())) || 
						($("#centerbankAccountNo").val()!=""&&$("#centerbankAccountNo").val()!=null&&!check.test($("#centerbankAccountNo").val()))
						|| ($("#hospitalBankAccountNo").val()!=""&&$("#hospitalBankAccountNo").val()!=null&&!check.test($("#hospitalBankAccountNo").val()))
						|| ($("#tpaBankAccountNo").val()!=""&&$("#tpaBankAccountNo").val()!=null&&!check.test($("#tpaBankAccountNo").val()))){
					alert("银行帐号不能为非数字!");
					return false;
				}
		}else{
			$("#bankName").val("");
//			$("#bankSubName").val("");
			$("#bankAccountNo").val("");
		}
		//校验支付比例是否大于100
		var totalPay = 0;
		
		$(".pay-rate-hidden").each(function(i,a){
			if(($(a).val()!="") && $(a).attr("data-obj-id") != ($("#payRate").attr("data-obj-id")) && ($(a).val()!="null")){
				totalPay = Number(totalPay) + Number($(a).val()) ;
			}
		});
		
//		$("#payTbbody").find("tr").each(function(){
//			alert($("#payCode").val());
//			if(($(this).attr("code")!="") && $(this).attr("id") != ($("#payCode").val()) && ($(this).attr("code") !="null")){
//				totalPay = totalPay*1 + $(this).attr("code")*1 ;
//			}
//		});
		totalPay = totalPay + Number($("#payRate").val());
		if(totalPay > 100){
			alert("领款人支付比例之和大于100");
			return;
		}
		
		$("#gerenSave").attr("onclick","");
		
	        		$.ajax({
	        	        cache: true,
	        	        type: "POST",
	        	        url:"addClmPayee.do",
	        	        data:$('#formPerson').serialize(),// 你的formid
	        	        async: false,
	        	        error: function()
	                    {
	        	        	alert("领款人保存失败");
	                    },
	        	        success: function(data) {
	        	        	if(data==""){
	        	        		alert("银行账号不合法，请重新输入。");
	        	        		return;
	        	        	}
	        	        		if($("#objId").val()!=""&&$("#objId").val()!=undefined){
	        		        		var tr =$("#payTbbody").find("tr[id='"+$("#objId").val()+"']");
	        		        		tr.find("span[id='spanPayNameForObjId']").html(data.claimPayeeName);
	        		        		tr.find("span[id='spanRelationshipForObjId']").html(data.payeeInsRelationshipName);
	        		        		tr.find("span[id='spanPaymethodForObjId']").html(data.payModeName);
	        		        	}else{
	        		        		$("#payTbbody").append("<tr id="+data.objId+" code="+data.payRate+"><th width=\"6%\"><span id=\"payTbNumber\">"+(parseInt($("#payTbbody").find("tr").length)+1)+"</span></th>"+
	        		    			"<td width=\"9%\"><span id=\"spanPayNameForObjId\">"+data.claimPayeeName+"</td>"+
	        		                "<td width=\"17%\">同被保险人关系：<span id=\"spanRelationshipForObjId\">"+data.payeeInsRelationshipName+"</td>"+
	        	                "<td width=\"12%\">支付方式：<span id=\"spanPaymethodForObjId\">"+data.payModeName+"</span></td>"+
	        		                 "<td width=\"5%\"><a style=\"cursor: pointer;\"  class=\"txt_blue\"  onclick=\"editClmPayeeQuery('"+data.objId+"',this)\">编辑</a></td>"+
	        		                 "<td width=\"51%\"><a style=\"cursor: pointer;\"  class=\"txt_blue\" onclick=\"delClmPayee('"+data.objId+"',this)\">删除</a></td>"+
	        		               "</tr>");
	        		        	}
	        	        	
	        	        	alert("保存成功！");
	        	    		$("#gerenSave").attr("onclick","addClmPayee()");
	        				$("#geren").attr("class",'check_no txt_blue');
	        				$("#danwei").attr('class','check_no txt_blue');
	        	        	$("#divformPerson").css("display","none");
	        	        	$("#divformCenter").css("display","none");
	        	    		clearPerson();
	        	    		clearCenter();
	        	        }
	        	    });

//		$.ajax({
//	        cache: true,
//	        type: "POST",
//	        url:"addClmPayee.do",
//	        data:$('#formPerson').serialize(),// 你的formid
//	        async: false,
//	        error: function()
//            {
//	        	alert("领款人保存失败");
//            },
//	        success: function(data) {
//	        	if(data==""){
//	        		alert("银行账号不合法，请重新输入。");
//	        		return;
//	        	}
//	        		if($("#objId").val()!=""&&$("#objId").val()!=undefined){
//		        		var tr =$("#payTbbody").find("tr[id='"+$("#objId").val()+"']");
//		        		tr.find("span[id='spanPayNameForObjId']").html(data.claimPayeeName);
//		        		tr.find("span[id='spanRelationshipForObjId']").html(data.payeeInsRelationshipName);
//		        		tr.find("span[id='spanPaymethodForObjId']").html(data.payModeName);
//		        	}else{
//		        		$("#payTbbody").append("<tr id="+data.objId+"><th width=\"6%\"><span id=\"payTbNumber\">"+(parseInt($("#payTbbody").find("tr").length)+1)+"</span></th>"+
//		    			"<td width=\"9%\">"+data.claimPayeeName+"</td>"+
//		                "<td width=\"17%\">同被保险人关系："+data.payeeInsRelationshipName+"</td>"+
//	                "<td width=\"12%\">支付方式：<span id=\"spanPaymethodForObjId\">"+data.payModeName+"</span></td>"+
//		                 "<td width=\"5%\"><a style=\"cursor: pointer;\"  class=\"txt_blue\"  onclick=\"editClmPayeeQuery('"+data.objId+"',this)\">编辑</a></td>"+
//		                 "<td width=\"51%\"><a style=\"cursor: pointer;\"  class=\"txt_blue\" onclick=\"delClmPayee('"+data.objId+"',this)\">删除</a></td>"+
//		               "</tr>");
//		        	}
//	        	
//	        	alert("保存成功！");
//				$("#geren").attr("class",'check_no txt_blue');
//				$("#danwei").attr('class','check_no txt_blue');
//	        	$("#divformPerson").css("display","none");
//	        	$("#divformCenter").css("display","none");
//	    		clearPerson();
//	    		clearCenter();
//	        }
//	    });
	}
	//赔案相关人员信息保存
	function savepayInfo(){
		//var formt = ;
		$("#repInsRelationship").val($("#divrepInsRelationship_code").val());
		$("#idtype").val($("#dividtype_code").val());
		$("#sex").val($("#divsex_code").val());
		$("#sqrsex").val($("#divSqrsex_code").val());
		$("#sqridtype").val($("#divSqridtype_code").val());
		$("#sqrappInsRelationship").val($("#divSqrappInsRelationship_code").val());
		$.ajax({
	        type: "POST",
	        url:"savepayInfo.do",
	        data:$('#formPayInfo').serialize(),// 你的formid
	       // data:{idtype:"12345",zjtest:"zjtest"},
	        error: function(request) {
	            alert("保存失败！");
	        },
	        success: function(data) {
	        	alert("保存成功！");
	            //$("#commonLayout_appcreshi").parent().html(data);
	        }
	    });
	}
	
	/*function changeCheckBox(id){
		if(id=='divformPerson'){*//**个人*//*
			if($("#geren").is(".check_yes")){
				//当“单位”从未选中到选中时“个人”选框变为不选中
				$("#geren").attr('class',"check_yes txt_blue");
				$("#divformPerson").css("display","block");
				$("#"+id+"").css("display","none");
				$('#claimPayeeType').val("2");
			}else{
				//当“个人”从未选中到选中时“单位”选框变为不选中
				$('#danwei').attr('class','check_no txt_blue');
				$("#divformCenter").css("display","none");
				$("#"+id+"").css("display","block");
				$("#claimPayeeType").val("1");
			}
			
			clearPerson();
		}else if(id=='divformCenter'){*//**单位*//*
			if($("#danwei").is(".check_yes")){
				//当“单位”从未选中到选中时“个人”选框变为不选中
				$("#danwei").attr('class',"check_yes txt_blue");
				$("#divformCenter").css("display","block");
				$("#"+id+"").css("display","none"); 
				$("#claimPayeeType").val("1");
			}else{
				$('#geren').attr('class','check_no txt_blue');
				$("#divformPerson").css("display","none");
				$("#"+id+"").css("display","block");
				$("#claimPayeeType").val("2");
		}
		clearCenter();
}
	
		
		}*/
	function clearCenter(){
		if($("#objId").val()!=""){ 
			$("#objId").val(""); 
		}
		$("#provincecenter").html("请选择省份");
		$("#citySpancenter").html("请选择市");
		$("#centerCompanyName").val("");
		$("#bankAccountName").val("");
//    	$("#centerbankSubName").val("");         //开户行：    
      	$("#centerbankType").val("");         //银行code
      	$("#propertyCenterBankType").val("");
       	$("#propertyCenterBankName").val("");
//      $("#centerbankCode").val("");         //开户行code      
    	$("#centerbankAccountNo").val("");       //银行帐号：
		$("#spancenterrelationship").html("请选择类型");//与被保险人关系
		$("#spancenterpaymode").html("请选择类型");//与被保险人关系
		$("#spancenterbankNameList").html("请选择类型"); 
//		$("#spancenterbankSubName").html("请选择类型"); 
		$("#centerpayeerelationship").val("");
		$("#centerpaymodetype").val(""); 
	}
	function clearPerson(){
		$("#province").html("请选择省份");
		$("#citySpan").html("请选择市");
		if($("#objId").val()!=""){ 
			$("#objId").val(""); 
		}
		 $("#claimPayeeId").val("");         //证件号码：                        
       	 $("#claimPayeeName").val("");      //姓名：            
       	 $("#payeePhone").val("");          //移动电话：        
       	 $("#payeeTel").val("");            //固定电话：        
       	 $("#payeeContractAddr").val("");   //联系地址：        
       	 $("#payeePostCode").val("");       //邮政编码：        
       	 $("#payeeEmail").val("");          //邮箱地址：        
       	 $("#bankName").val("");            //银行名称：       
       	 $("#payeeProvince").val("");
       	 $("#payeeCityCode").val("");
//       $("#bankSubName").val("");         //开户行code
       	 $("#bankType").val("");            //银行名称
       	$("#propertyBankType").val("");
      	 $("#propertyBankName").val("");
//       $("#personbankCode").val("");         //开户行code
       	 $("#bankAccountNo").val("");       //银行帐号：
       	 $("#payeerelationship").val("");
		 $("#payeesex").val("");
		 $("#payeeidcard").val("");
		 $("#paymodetype").val("");
		 $("#claimPayeeType").val("");
		 $("#payRate").val("");
		 $("#spanpersonidtype").html("请选择类型");//证件类型
		 $("#spanpersonsex").html("");//性别
//		 $("#spanbankSubName").html("请选择类型");
		 $("#spanBankName").html("请选择类型");
		 $("#spanpayeeInsRelationship").html("请选择类型");//与被保险人关系
		 $("#spanpaymode").html("请选择类型");//与被保险人关系 
	}
	
	function changeCenMethod(code){
		if(code=="3"){
			$("#span1").html("*");
			$("#span2").html("*");
			$("#span3").html("*");
		}else{
			$("#span1").html("");
			$("#span2").html("");
			$("#span3").html("");
		}
	}
	function changeMethod(code){
		if(code=="3"){
			$("#span4").html("*");
//			$("#span5").html("*");
			$("#span6").html("*");
		}else{
			$("#span4").html("");
//			$("#span5").html("");
			$("#span6").html("");
		}
	}
	
	function checkPaymodeType(tblName,spanName,chooseName){
		var paymodeList = $("#"+tblName).find("tr");
		for (var i = 0; i < paymodeList.length; i++) {
	
			var paymodeSpan = $(paymodeList[i]).find("SPAN[id='"+spanName+"']").html();
			if($("#objId").val()!=null&&$("#objId").val()!=undefined){
				if($("#objId").val() == $(paymodeList[i]).attr("id")){
					continue;
				}
			}
			if(paymodeSpan!=$("#"+chooseName).html()){
				return false;
			}
		}
		return true;
		
		
	}
	
	
				
				
	

				
	
	function queryHosiptal(flag){
		var partnerName;
		var partnerType="";
		if(flag=='dpa'){/**直付医院*/
			partnerName=$("#yiyuan").val();
			partnerType = "01";
		}else{/**TPA*/
			partnerName=$("#Tpa").val();
			partnerType="02";
		}
		if(partnerName ==null || partnerName ==""){
			alert("查询条件不能为空！");
			return false;
		}
		$.ajax({
			type:"POST",
			url:"findPartnerInfo.do",
			data:{"partnerName":partnerName,"partnerType":partnerType},
			error:function(){
				alert("查询失败！");
				return;
			},
			success:function(data){
				$("#partnerHospital").html('');
				$("#partnerTpa").html('');
				
				if(data==null || data==""){
					if(flag=='dpa'){/**直付医院*/
						$("#partnerHospital").append("<tr><td colspan=\"8\">查询不到相关内容，请检查查询条件</td></tr>");
					}else{/**TPA*/
						$("#partnerTpa").append("<tr><td colspan=\"7\">查询不到相关内容，请检查查询条件</td></tr>");
					}
				}else{
					for(var i= 0; i < data.length; i++){
						var h = data[i];
						if(flag=='dpa'){/**直付医院*/
							$("#partnerHospital").append("<tr style=\"cursor:pointer\"  onclick=\"showSelectLineInfo(this,'"+isNull(h.partnerName)+"','"+isNull(h.objid)+"')\" >" +
									"<td>"+isNull(h.partnerName)+"</td><td>"+isNull(h.partnerAddr)+"</td><td>"+isNull(h.hospitalType)+"</td><td>"+isNull(h.contactPerson)+"</td>" +
									"<td>"+isNull(h.contactPhone)+"</td><td>"+isNull(h.bankAccountName)+"</td><td>"+isNull(h.bankName)+"</td><td>"+isNull(h.bankAccountNo)+"</td></tr>");
						}else{/**TPA*/
							$("#partnerTpa").append("<tr style=\"cursor:pointer\"  onclick=\"showSelectLineInfo(this,'"+isNull(h.partnerName)+"','"+isNull(h.objid)+"')\">" +
									"<td>"+isNull(h.partnerName)+"</td><td>"+isNull(h.partnerAddr)+"</td><td>"+isNull(h.contactPerson)+"</td>" +
									"<td>"+isNull(h.contactPhone)+"</td><td>"+isNull(h.bankAccountName)+"</td><td>"+isNull(h.bankName)+"</td><td>"+isNull(h.bankAccountNo)+"</td></tr>");
						}
					}
				}
			}
		});
		
	}
function isNull(a){
		
		if(a==null){
			return "";
		}else if(a=="Y"){
			return "是";
		}else if(a=="N"){
			return "否";
		}else{
			return a;
		}
	}
function selectDataLine(flag0,flag1,flag2,flag3){
	if(indexLine==null){
		alert("请选择一条有效数据！");
		return ;
	}else{
		var divArr=["divformPerson","divformCenter","hospitalInfo","TPAInfo"];
		for ( var i = 0; i < divArr.length; i++) {
			if(flag1==divArr[i]){
				$("#"+divArr[i]).css("display","block");
				var td=$("#"+flag2).find("tr").eq(indexLine).html();
				
				 $("#hospname").val($(td).eq("0").text());
				 $("#hospAddr").val($(td).eq("1").text());
				if(flag3=='dpa'){
                 $("#hospitalName").text($(td).eq("0").text());
                 $("#hospitalAddr").text($(td).eq("1").text());
                 $("#hospitalType").text($(td).eq("2").text());
                 $("#hospitalContactPerson").text($(td).eq("3").text());
                 $("#hospitalContactPhone").text($(td).eq("4").text());
                 $("#hospitalFaxNo").text($(td).eq("4").text());
                 $("#hospitalBankAccountName").text($(td).eq("5").text());
                 $("#hospitalBankName").text($(td).eq("6").text());
                 $("#hospitalBankAccountNo").text($(td).eq("7").text());
                 $("#hospitalSpanpaymode").html("转账");
                 
                 $("#hospType").val($(td).eq("2").text());
        		 $("#hospContactPerson").val($(td).eq("3").text());
        		 $("#hospPhone").val($(td).eq("4").text());
        		 $("#hospFaxNo").val($(td).eq("4").text());
        		 $("#bankAccountName").val($(td).eq("5").text());
        		 $("#bankName").val($(td).eq("6").text());
        		 $("#bankAccountNo").val($(td).eq("7").text());
				}else{
					 $("#tpaName").text($(td).eq("0").text());
					 $("#tpaAddr").text($(td).eq("1").text());
					 $("#tpaContactPerson").text($(td).eq("2").text());
					 $("#tpaContactPhone").text($(td).eq("3").text());
					 $("#tpafFaxNo").text($(td).eq("3").text());
					 $("#tpaBankAccountName").text($(td).eq("4").text());
					 $("#tpaBankName").text($(td).eq("5").text());
					 $("#tpaBankAccountNo").text($(td).eq("6").text());
					 
					 $("#hospContactPerson").val($(td).eq("2").text());
					 $("#hospPhone").val($(td).eq("3").text());
					 $("#hospFaxNo").val($(td).eq("3").text());
					 $("#bankAccountName").val($(td).eq("4").text());
					 $("#bankName").val($(td).eq("5").text());
					 $("#bankAccountNo").val($(td).eq("6").text());
					 $("#tpaSpanpaymode").html("转账");
				}
			}else{
				$("#"+divArr[i]).css("display","none");
			}
		}
		closeDiv(flag0);
	}
}
var indexLine=null;
function showSelectLineInfo(flag0,flag1,flag2){
	$(flag0).css("background-color", "#e5e5e5").siblings().css("background-color", "#FFFFFF");
	indexLine=$(flag0).index();
	$("#partnerId").val(flag2);
}


/*function changeCheckBox(objFlag,divId) {
	var showDivArr=["divformPerson","divformCenter","hospitalInfo","TPAInfo"];
	var showDivArr2=["divformHospital","divformTpa"];
	var checkedButArr=["geren","danwei","dpaHospital","tpaHospital"];
	for ( var i = 0; i < checkedButArr.length; i++) {
		if(objFlag.id!=checkedButArr[i]){
			$("#"+checkedButArr[i]).attr('class','check_no txt_blue');
		}else{
			$("#claimPayeeType").val((i+1));
		}
	}
	for ( var i = 0; i < showDivArr.length; i++) {
		if(divId==showDivArr[i]){
			$("#"+divId+"").css("display","block");
		}else{
			$("#"+showDivArr[i]+"").css("display","none");
		}
	}
	for ( var i = 0; i < showDivArr2.length; i++) {
		if(divId==showDivArr2[i] && $("#"+objFlag.id).is(".check_no")){
			showDiv(divId);
		}
	}
	clearPerson();
	clearCenter();
	$("#payRate").val("100");
	$("#Tpa").val("");
	$("#yiyuan").val("");
	$("#partnerHospital").html('');
	$("#partnerTpa").html('');
	indexLine=null;
}*/
//1	个人2	单位  
function changeCheckBox(id){
	
	
	if(id=='divformPerson'){/**个人*/
		$("#top").css("display","none");//如果是产险的时候先点击了单位模糊查询银行名称，点击个人的时候把模糊查询的下拉框去掉
//		$("#paymentName").val(paymentN);
		//alert("选中个人："+$("#geren").is(".check_yes"));
		if($("#geren").is(".check_yes")){
			//当“个人”从选中到不选中时“单位”选框变为选中
			//$('#danwei').attr('class','check_yes txt_blue');
			//document.getElementById('divformCenter').style.display='block';
			//$('#claimPayeeType').val("2");
			document.getElementById(id).style.display='none';
			
		}else{
			//当“个人”从未选中到选中时“单位”选框变为不选中
			$('#danwei').attr('class','check_no txt_blue');
			$('#hospital').attr('class','check_no txt_blue');
			$('#tpa').attr('class','check_no txt_blue');
			document.getElementById('divformCenter').style.display='none';
			TPAInfo.style.display='none';
			hospitalInfo.style.display='none';
			
			document.getElementById(id).style.display='block';
			$("#claimPayeeType").val("1");
		}

	}else if(id=='divformCenter'){/**单位*/
		$("#tip").css("display","none");//如果是产险的时候先点击了个人模糊查询银行名称，点击单位的时候把模糊查询的下拉框去掉
		//alert("选中单位："+$("#danwei").is(".check_yes"));
		if($("#danwei").is(".check_yes")){
			//当“单位”从未选中到选中时“个人”选框变为不选中
			//$("#geren").attr('class',"check_yes txt_blue");
			//document.getElementById('divformPerson').style.display='block';
			document.getElementById(id).style.display='none';
			//$("#claimPayeeType").val("1");
		}else{
			$('#geren').attr('class','check_no txt_blue');
			$('#hospital').attr('class','check_no txt_blue');
			$('#tpa').attr('class','check_no txt_blue');
			document.getElementById('divformPerson').style.display='none';
			TPAInfo.style.display='none';
			hospitalInfo.style.display='none';
			document.getElementById(id).style.display='block';
			$("#claimPayeeType").val("2");
		}
		
	}
		if($("#objId").val()!=""){
			$("#objId").val("");
//			if(confirm("点击新增后，保存后则会新增一条记录！是否确定")){
//			}
		}
		clearPerson();
		clearCenter();
	}
//勾选直付医院
function showDivHospital(){
	$("#yiyuan").val('');
	$("#partnerHospital").html('');
	
	if($("#hospital").is(".check_yes")){
		//当“直付医院”从选中到不选中时
		hospitalInfo.style.display='none';
		
	}else{
		//当“直付医院”从未选中到选中时
		$('#danwei').attr('class','check_no txt_blue');
		$('#geren').attr('class','check_no txt_blue');
		$('#tpa').attr('class','check_no txt_blue');
		document.getElementById('divformCenter').style.display='none';
		TPAInfo.style.display='none';
		divformPerson.style.display='none';
		
		$("#claimPayeeType").val("3");
		showDiv('divformHospital');
	}
	if($("#objId").val()!=""){
		$("#objId").val("");
	}
}
function showDivTpa(){
	$("#Tpa").val('');
	$("#partnerTpa").html('');
	
	if($("#tpa").is(".check_yes")){
		//当“Tpa”从选中到不选中时
		TPAInfo.style.display='none';
		
	}else{
		//当“Tpa”从未选中到选中时
		$('#danwei').attr('class','check_no txt_blue');
		$('#geren').attr('class','check_no txt_blue');
		$('#hospital').attr('class','check_no txt_blue');
		document.getElementById('divformCenter').style.display='none';
		hospitalInfo.style.display='none';
		divformPerson.style.display='none';
		
		$("#claimPayeeType").val("4");
		showDiv('divformTpa');
	}
	
	if($("#objId").val()!=""){
		$("#objId").val("");
	}
	
}
function selectedli(flag,flag2){
	if(flag2=='1'){
		$("#paymodetype").val(flag);
	}else{
		$("#paymodetype").val(flag);
	}
	}


function addDirectHospital(flag){
	/*$("#dpaSave").attr("onclick","");
	$("#tpaSave").attr("onclick","");*/
	$("#claimPayeeType").val(flag);
	if($("#hospitalSpanpaymode").html()=="支票" || $("#tpaSpanpaymode").html()=="支票" ){
		$("#paymodetype").val("2");
	}else if($("#hospitalSpanpaymode").html()=="转账" || $("#tpaSpanpaymode").html()=="转账" ){
		$("#paymodetype").val("3");
    }
//	if($("#paymodetype").val()==""){
//		alert("请填写领款人支付方式。");
//		return ;
//	}
	if(flag=="3"){
		if(!checkPaymodeType("payTbbody","spanPaymethodForObjId","hospitalSpanpaymode")){
			alert("同一赔案下领款人支付方式请保持一致。");
			return;
		}
	}else{
		if(!checkPaymodeType("payTbbody","spanPaymethodForObjId","tpaSpanpaymode")){
			alert("同一赔案下领款人支付方式请保持一致。");
			return;
		}
	}
	if($("#claimPayeeType").val()==null|| $("#claimPayeeType").val()==""){
		if($("#hospital").is(".check_yes")){
			$("#claimPayeeType").val("3");
		}
		if($("#tpa").is(".check_yes")){
			$("#claimPayeeType").val("4");
			
		}
	}
//	$("#dpaSave").removeAttr("onclick");
//	$("#tpaSave").removeAttr("onclick");
	$("#dpaSave").attr("onclick","");
	$("#tpaSave").attr("onclick","");
	$.ajax({
        cache: true,
        type: "POST",
        url:"addDirectHospital.do",
        data:$('#formPerson').serialize(),// 你的formid
        async: false,
        error: function()
        {
        	alert("领款人保存失败");
        },
        success: function(data) {
        	 
        	if($("#objId").val()!=""&&$("#objId").val()!=undefined){
        		var tr =$("#payTbbody").find("tr[id='"+$("#objId").val()+"']");
        		tr.find("span[id='spanPaymethodForObjId']").html(data.payModeName);
        	}else{
        		$("#payTbbody").append("<tr id='"+data.objId+"'><th width=\"6%\"><span id=\"payTbNumber\">"+(parseInt($("#payTbbody").find("tr").length)+1)+"</span></th>"+
      	                 "<td width=\"9%\">"+data.partnerName+"</td>"+
      	                 "<td width=\"17%\">联系人：<span id=\"spanHospitalContactPerson\">"+data.contactPerson+"</span></td>"+
      	                 "<td width=\"12%\">支付方式：<span id=\"spanPaymethodForObjId\">"+data.payModeName+"</span></td>"+
      	                 "<td width=\"5%\"><a style=\"cursor: pointer;\"  class=\"txt_blue\" onclick=\"editClmPayeeQuery('"+data.objId+"','current');return false;\">编辑</a></td>"+
      	                 "<td width=\"51%\"><a style=\"cursor: pointer;\" class=\"txt_blue\" onclick=\"delClmPayee('"+data.objId+"',this);return false;\">删除</a></td>"+
  	               "</tr>");
        	}
        	
        	alert("保存成功！");
        	$("#dpaSave").attr("onclick","addDirectHospital('3')");
        	$("#tpaSave").attr("onclick","addDirectHospital('4')");
			$("#geren").attr("class",'check_no txt_blue');
			$("#danwei").attr('class','check_no txt_blue');
        	$("#divformPerson").css("display","none");
        	$("#divformCenter").css("display","none");
        	$("#hospitalInfo").css("display","none");
        	$("#TPAInfo").css("display","none");
        	clearPerson();
        	clearCenter();
        	clearDirectHospital();
        }
    });
}
function clearDirectHospital(){
	$("#claimPayeeType").val("");
	$("#objId").val("");
	$("#payeerelationship").val("");
	$("#payeeidcard").val("");
	$("#payeesex").val("");
	$("#paymodetype").val("");
	$("#hospname").val("");
	$("#hospAddr").val("");
	$("#hospType").val("");
	$("#hospContactPerson").val("");
	$("#hospPhone").val("");
	$("#hospFaxNo").val("");     
	$("#bankAccountName").val("");
	$("#hospBankName").val("");
	$("#hospbankAccountNo").val("");   
	$("#payType").val("");
	$("#partnerId").val("");
	$("#hospitalSpanpaymode").html("请选择类型");
	$("#tpaSpanpaymode").html("请选择类型");
}

//个人领款人被保险人关系选择个人或被保人、投保人
function relationshipChange(key){
	if(key=="401" || key=="406"){//本人
		$.ajax({
	        cache: true,
	        type: "POST",
	        url:"clmInsureQueryPay.do",
	        data:{"cliamNo":$("#claimNo").val()},
	       // data:{"id":id,"claimNo":claimNo},// 你的formid
	        async: false,
	        error: function(request) {
	            alert("操作失败！");
	        },
	        success: function(data) {
	        	$("#spanpersonidtype").html(data.customerInfo.idtypeName);
	        	$("#payeeidcard").val(data.customerInfo.idtype);
	        	$("#claimPayeeId").val(data.customerInfo.pid);
				$("#claimPayeeName").val(data.customerInfo.name);
				$("#payeePhone").val(data.customerInfo.phone);
				$("#payeeTel").val(data.customerInfo.ftele);
				$("#payeeContractAddr").val(data.customerInfo.faddr);
				$("#claimPayeeType").val("1");
				/*$("#personidtype").val("a");*/
				$("#payeePostCode").val(data.customerInfo.fzip);
				$("#payeesex").val(data.customerInfo.sex);
//				$("#repInsRelationship").val("401");
//				$("#spanrepInsRelationship").html("本人");
				$("#payeeEmail").val(data.customerInfo.email);
				
				
				var flag = 0;
				if(data.customerInfo.bankname!=null){
					$("#bk").find("ul").find("li").each(function(){
					
						if(data.customerInfo.bankname==$(this).text()){
							$("#spanBankName").html(data.customerInfo.bankname);//银行名称
							$("#divbankType").val($(this).attr("code"));
							$("#bankType").val($(this).attr("code"));
							$("#bankAccountNo").val(data.customerInfo.acctnum);//银行帐号
							flag = 1;
							//$(this).attr("code");
						}
						
					});
					if(flag == 0){
						alert("银行名称不存在，请重新选择！");
						$("#spanBankName").html(data.customerInfo.bankname);//银行名称
						$("#bankAccountNo").val(data.customerInfo.acctnum);//银行帐号
					}
				}
					
				
				
				for(var i=0;i<data.clmPayees.length;i++){
					if(data.clmPayees[i].payeeInsRelationshipName = key){
						$("#payRate").val(data.clmPayees[i].payRate);
					}
				}
				if(data.customerInfo.sex=="1"){
					$("#spanpersonsex").html("男");
				}else{
					$("#spanpersonsex").html("女");
				}
				
	        }
	    });
	}else if(key=="407"){//投保人
		
	}
}